Package org.eclipse.emf.compare.rcp.ui.internal.configuration.ui

# Class AbstractConfigurationUI

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.emf.compare.rcp.ui.internal.configuration.ui.AbstractConfigurationUI

All Implemented Interfaces:
  `org.eclipse.swt.graphics.Drawable`

Direct Known Subclasses:
  `DefaultMatchEngineConfiguratorUI`

public abstract class AbstractConfigurationUI extends org.eclipse.swt.widgets.Composite
Abstract composite that is used to configure an item. The configuration will be stored in the `Preferences` passed in parameter.

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`AbstractConfigurationUI(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.jface.preference.IPreferenceStore store)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`createContent()`
Content of this composite.
`protected org.eclipse.jface.preference.IPreferenceStore`
`getPreferenceStore()`
Get the preference store used by this object.
`abstract void`
`resetDefault()`
Called to restore default preferences.
`abstract void`
`storeConfiguration()`
Used to store the configuration.

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### AbstractConfigurationUI

public AbstractConfigurationUI(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.jface.preference.IPreferenceStore store)
Constructor.

Parameters:
  `parent` - Parent `Composite`.
  `style` - Style of this `Composite`
  `store` - The `IPreferenceStore` to use for preferences, cannot be `null`

## Method Details

### createContent

public abstract void createContent()
Content of this composite. This should be overriden by clients.

### storeConfiguration

public abstract void storeConfiguration()
Used to store the configuration. Implementation should store all the configuration in the `Preferences`.

### resetDefault

public abstract void resetDefault()
Called to restore default preferences. This should be used to reset the configuration in the store.

### getPreferenceStore

protected org.eclipse.jface.preference.IPreferenceStore getPreferenceStore()
Get the preference store used by this object.

Returns:
  The preference store used by this object.